Bug 21335 - Remove redundant includes of right-to-left.css
Summary: Remove redundant includes of right-to-left.css
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-11 23:25 UTC by Owen Leonard
Modified: 2019-03-08 16:35 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21335: Remove redundant includes of right-to-left.css (5.08 KB, patch)
2019-02-10 12:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21335: Remove redundant includes of right-to-left.css (5.10 KB, patch)
2019-02-15 17:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21335: Remove redundant includes of right-to-left.css (4.20 KB, patch)
2019-02-15 19:26 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 21335: Remove redundant includes of right-to-left.css (4.25 KB, patch)
2019-02-20 12:05 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-09-11 23:25:52 UTC
opac-detail.tt contains the following:

[% IF ( bidi ) %]
  [% BLOCK cssinclude %][% Asset.css("css/right-to-left.css") | $raw %][% END %]
[% END %]

This is a duplication of markup in doc-head-close.inc and can be removed.
Comment 1 Katrin Fischer 2019-02-10 12:43:39 UTC
Created attachment 84947 [details] [review]
Bug 21335: Remove redundant includes of right-to-left.css

Fixes redundant includes of the right-to-left.css file.
There is no need to include it in the .tt files as it's part
of the doc-head-close.inc.

Note:
  Make sure your *BaseURL preferences are correctly set as
  this will make the switching between languages work
  correctly and throw you back to the start page otherwise
  every time you switch

Test:
- Install an RTL language like Arabic (ar-Arab)
- Test various pages with English and RTL language:
  - Authorities home page
  - Adding a new bibliographic record
  - Adding a new item or editing items
  - Advanced cataloguing (Rancor) editor
  - Labels start page
  - OPAC detail page
- Verify display is correct and right-to-left.css is available
Comment 2 Owen Leonard 2019-02-15 17:30:55 UTC
Created attachment 85184 [details] [review]
Bug 21335: Remove redundant includes of right-to-left.css

Fixes redundant includes of the right-to-left.css file.
There is no need to include it in the .tt files as it's part
of the doc-head-close.inc.

Note:
  Make sure your *BaseURL preferences are correctly set as
  this will make the switching between languages work
  correctly and throw you back to the start page otherwise
  every time you switch

Test:
- Install an RTL language like Arabic (ar-Arab)
- Test various pages with English and RTL language:
  - Authorities home page
  - Adding a new bibliographic record
  - Adding a new item or editing items
  - Advanced cataloguing (Rancor) editor
  - Labels start page
  - OPAC detail page
- Verify display is correct and right-to-left.css is available

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Charles Farmer 2019-02-15 19:22:36 UTC
Bug 10659 seems the be getting in the way of a clean apply. I'll rebase and submit my signoff
Comment 4 Charles Farmer 2019-02-15 19:26:03 UTC
Created attachment 85187 [details] [review]
Bug 21335: Remove redundant includes of right-to-left.css

Fixes redundant includes of the right-to-left.css file.
There is no need to include it in the .tt files as it's part
of the doc-head-close.inc.

Note:
  Make sure your *BaseURL preferences are correctly set as
  this will make the switching between languages work
  correctly and throw you back to the start page otherwise
  every time you switch

Test:
- Install an RTL language like Arabic (ar-Arab)
- Test various pages with English and RTL language:
  - Authorities home page
  - Adding a new bibliographic record
  - Adding a new item or editing items
  - Advanced cataloguing (Rancor) editor
  - Labels start page
  - OPAC detail page
- Verify display is correct and right-to-left.css is available

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Comment 5 Josef Moravec 2019-02-20 12:05:43 UTC
Created attachment 85328 [details] [review]
Bug 21335: Remove redundant includes of right-to-left.css

Fixes redundant includes of the right-to-left.css file.
There is no need to include it in the .tt files as it's part
of the doc-head-close.inc.

Note:
  Make sure your *BaseURL preferences are correctly set as
  this will make the switching between languages work
  correctly and throw you back to the start page otherwise
  every time you switch

Test:
- Install an RTL language like Arabic (ar-Arab)
- Test various pages with English and RTL language:
  - Authorities home page
  - Adding a new bibliographic record
  - Adding a new item or editing items
  - Advanced cataloguing (Rancor) editor
  - Labels start page
  - OPAC detail page
- Verify display is correct and right-to-left.css is available

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Nick Clemens 2019-02-22 15:05:43 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-26 09:52:18 UTC
Pushed to 18.11.x for 18.11.04
Comment 8 Lucas Gass 2019-03-08 16:35:11 UTC
i cant rebase this in 18.05.x and pass the qa tool:

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/editor.tt
   SKIP	  filters
   OK	  forbidden patterns
   OK	  git manipulation
   OK	  js_in_body
   OK	  spelling
   OK	  tt_valid
   FAIL	  valid_template
		: filter not found


skipping unless needed